package Ocsinventory::Agent::Backend::OS::BSD::Pcictl::Sounds;
use strict;
use Ocsinventory::Agent::Backend::OS::BSD::Pcictl::Pcictl;

sub run {
  my $params = shift;
  my $inventory = $params->{inventory};

  foreach (runpcictl()) {

    if(/audio/i && /^\S+:\s(.+)\s\(([^,]+)(,.+)?\)$/i) {

      $inventory->addSounds({
	  'DESCRIPTION'  => $2,
	  'MANUFACTURER' => "",
	  'NAME'     => $1,
	});
    
    }
  }
}
1
